unit movieeffects;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, ExtCtrls;

type
  TfrmMovieEffects = class(TForm)
    Timer1: TTimer;
    Panel2: TPanel;
    ProgressBar1: TProgressBar;
    Panel3: TPanel;
    Panel1: TPanel;
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
    count: integer;
  public
    { Public declarations }
    procedure setCaption(s: string; progressBar: boolean; countdown: integer; fontColor: TColor);
  end;


var
  frmMovieEffects: TfrmMovieEffects;
  maxCount: integer;

implementation

{$R *.dfm}

procedure TfrmMovieEffects.setCaption(s: string; progressBar: boolean; countdown: integer; fontColor: TColor);
begin
   count := 0;
   maxCount := countdown;
   progressbar1.Max := maxCount;
   panel1.Caption := s;
   panel1.Font.Color := fontColor;
   panel2.Visible := progressBar;
   progressbar1.Visible := progressBar;
   if not progressBar then self.Height := self.Height - panel2.height;
   Timer1.Enabled := true;
end;

procedure TfrmMovieEffects.Timer1Timer(Sender: TObject);
begin
   inc(count);
   progressbar1.Position := count;
   if count mod 25 = 0 then
   begin
      panel3.visible := (not panel3.visible);
   end;

   if count >= maxCount then
      close;
end;

end.
